Calls

Generate a Twilio Voice SDK token

GET
/api/calls/token/twilio

Mints a Twilio AccessToken with a VoiceGrant for the calling user using the org's Twilio API key / TwiML app SID. Returns the JWT plus the user's Twilio phone number as the SDK identity. Required for the Twilio Voice SDK to register and place PSTN calls.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/calls/token/twilio"
{  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.example.twilio",  "identity": "+14165550100",  "userId": "64f0a1b2c3d4e5f6a7b8c9d4"}